package com.bonus.sgzb.common.core.enums;

public enum RoleEnum {

    /**
     * 一级审核员
     */
    BRANCH_OFFICES(105L, "分公司"),
    /**
     * 二级审核员
     */
    CONSTRUCTION_MANAGEMENT_DEPARTMENT(111L, "施管部"),
    SAFETY_SUPERVISION_DEPARTMENT(112L, "安监部"),
    /**
     * 三级审核员
     */
    MACHINERY_BRANCH(108L, "机具分公司"),
    DEBUGGING_BRANCH(109L, "调试分公司");

    private final Long code;
    private final String info;

    RoleEnum(Long code, String info) {
        this.code = code;
        this.info = info;
    }

    public Long getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
